class MovingEnemy {

  float x, y, r, vx, ll, rl;
  int dir;
  int img_w, img_h;
  PImage img;

  MovingEnemy(float x, float y, float r, String s, int w, int h, float ll, float rl) {
    this.x = x;
    this.y = y;
    this.r = r;
    img = loadImage(s);
    img_w = w;
    img_h = h;
    imageMode(CENTER);
    this.ll = ll;
    this.rl = rl;
    vx = random(1, 5); //to have random speeds
    dir = int(random(0, 2));
    if (dir==0) {
      vx*=-1;
    }
  }

  void update() {
    x += vx;
    if (x<ll) { //moving between left and right limits
      vx*=-1;
      dir = 1;
    } else if (x>rl) {
      vx*=-1;
      dir = 0;
    }

    y+=2;
  }

  void display() {
    update();
    image(img, x, y, img_w, img_h);
  }

  float distance(MovingEnemy other) {
    return dist(this.x, this.y, other.x, other.y);
  }
}
